%define name gsf-sharp
%define version 0
%define svn 39304
%define release 0.%svn.1mdk

Summary: GSF C# bindings for mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{svn}.tar.bz2
License: GPL
Group: Development/Other
#Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: libgsf-devel >= 1.11.0
BuildRequires: gtk-sharp-devel
BuildRequires: monodoc
Requires: %mklibname gsf- 1 1

%description
GSF# bindings for mono. Useful for reading and writing structured
files (eg MS OLE and Zip).

%prep
%setup -q -n %name
./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%_libdir/mono/gac/%name
%_libdir/mono/gtk-sharp/%name.dll
%_libdir/pkgconfig/%name.pc
%_datadir/gapi/gsf-api.xml

%changelog
* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0-0.39304.1mdk
- initial package
